this.actor.has("Immunité Psychologique")?.delete();

let roll = await new Roll("1d10").roll({allowInteractive : false});

roll.toMessage(this.script.getChatData());

this.script.notification(`Removed Immunité Psychologique, Adding ${roll.total} Broken Conditions`)
this.actor.addCondition("broken", roll.total, {"flags.wfrp4e.blasted-mind" : true})